/*
 * SaveBondsAction.hpp
 *
 *  Created on: May 10, 2010
 *      Author: heber
 */

#ifndef SAVEBONDSACTION_HPP
#define SAVEBONDSACTION_HPP

#include "Actions/Action.hpp"


class MoleculeListClass;

void MoleculeSaveBonds(std::string &bondsfile);

class MoleculeSaveBondsAction : public Action {
  friend void MoleculeSaveBonds(std::string &bondsfile);

public:
  MoleculeSaveBondsAction();
  virtual ~MoleculeSaveBondsAction();

  bool canUndo();
  bool shouldUndo();

  virtual const std::string getName();
protected:
  virtual Dialog * fillDialog(Dialog *dialog);
private:
  virtual Action::state_ptr performCall();
  virtual Action::state_ptr performUndo(Action::state_ptr);
  virtual Action::state_ptr performRedo(Action::state_ptr);

  static const char NAME[];
};


#endif // SAVEBONDSACTION_HPP
