/*
 * VerletIntegrationAction.hpp
 *
 *  Created on: May 10, 2010
 *      Author: heber
 */

#ifndef VERLETINTEGRATIONACTION_HPP
#define VERLETINTEGRATIONACTION_HPP

#include "Actions/Action.hpp"


class MoleculeListClass;

void MoleculeVerletIntegration(std::string &forcesfile);

class MoleculeVerletIntegrationAction : public Action {
  friend void MoleculeVerletIntegration(std::string &forcesfile);

public:
  MoleculeVerletIntegrationAction();
  virtual ~MoleculeVerletIntegrationAction();

  bool canUndo();
  bool shouldUndo();

  virtual const std::string getName();
protected:
  virtual Dialog * fillDialog(Dialog *dialog);
private:
  virtual Action::state_ptr performCall();
  virtual Action::state_ptr performUndo(Action::state_ptr);
  virtual Action::state_ptr performRedo(Action::state_ptr);

  static const char NAME[];
};


#endif // VERLETINTEGRATIONACTION_HPP
