/*
 * AllAtomsAction.hpp
 *
 *  Created on: May 12, 2010
 *      Author: heber
 */

#ifndef ALLATOMSACTION_HPP_
#define ALLATOMSACTION_HPP_

#include "Actions/Action.hpp"

void SelectionAllAtoms();

class SelectionAllAtomsAction : public Action {
  friend void SelectionAllAtoms();

public:
  SelectionAllAtomsAction();
  virtual ~SelectionAllAtomsAction();

  bool canUndo();
  bool shouldUndo();

  virtual const std::string getName();
protected:
  virtual Dialog * fillDialog(Dialog *dialog);
private:
  virtual Action::state_ptr performCall();
  virtual Action::state_ptr performUndo(Action::state_ptr);
  virtual Action::state_ptr performRedo(Action::state_ptr);

  static const char NAME[];
};

#endif /* ALLATOMSACTION_HPP_ */
