/*
 * AllAtomsOfMoleculeAction.hpp
 *
 *  Created on: Aug 09, 2010
 *      Author: heber
 */

#ifndef ALLATOMSOFMOLECULEACTION_HPP_
#define ALLATOMSOFMOLECULEACTION_HPP_

#include "Actions/Action.hpp"

void SelectionAllAtomsOfMolecule();

class SelectionAllAtomsOfMoleculeAction : public Action {
  friend void SelectionAllAtomsOfMolecule();

public:
  SelectionAllAtomsOfMoleculeAction();
  virtual ~SelectionAllAtomsOfMoleculeAction();

  bool canUndo();
  bool shouldUndo();

  virtual const std::string getName();
protected:
  virtual Dialog * fillDialog(Dialog *dialog);
private:
  virtual Action::state_ptr performCall();
  virtual Action::state_ptr performUndo(Action::state_ptr);
  virtual Action::state_ptr performRedo(Action::state_ptr);

  static const char NAME[];
};

#endif /* ALLATOMSOFMOLECULEACTION_HPP_ */
