/*
 * AtomByIdAction.hpp
 *
 *  Created on: May 12, 2010
 *      Author: heber
 */

#ifndef ATOMBYIDACTION_HPP_
#define ATOMBYIDACTION_HPP_

#include "Actions/Action.hpp"

class atom;

void SelectionAtomById(atom *_atom);

class SelectionAtomByIdAction : public Action {
  friend void SelectionAtomById(atom *_atom);

public:
  SelectionAtomByIdAction();
  virtual ~SelectionAtomByIdAction();

  bool canUndo();
  bool shouldUndo();

  virtual const std::string getName();
protected:
  virtual Dialog * fillDialog(Dialog *dialog);
private:
  virtual Action::state_ptr performCall();
  virtual Action::state_ptr performUndo(Action::state_ptr);
  virtual Action::state_ptr performRedo(Action::state_ptr);

  static const char NAME[];
};

#endif /* ATOMBYIDACTION_HPP_ */
