/*
 * MoleculeByIdAction.hpp
 *
 *  Created on: May 12, 2010
 *      Author: heber
 */

#ifndef MOLECULEBYIDACTION_HPP_
#define MOLECULEBYIDACTION_HPP_

#include "Actions/Action.hpp"

class molecule;

void SelectionMoleculeById(molecule *_mol);

class SelectionMoleculeByIdAction : public Action {
  friend void SelectionMoleculeById(molecule *_mol);

public:
  SelectionMoleculeByIdAction();
  virtual ~SelectionMoleculeByIdAction();

  bool canUndo();
  bool shouldUndo();

  virtual const std::string getName();
protected:
  virtual Dialog * fillDialog(Dialog *dialog);
private:
  virtual Action::state_ptr performCall();
  virtual Action::state_ptr performUndo(Action::state_ptr);
  virtual Action::state_ptr performRedo(Action::state_ptr);

  static const char NAME[];
};

#endif /* MOLECULEBYIDACTION_HPP_ */
