/*
 * NotAllAtomsAction.hpp
 *
 *  Created on: May 12, 2010
 *      Author: heber
 */

#ifndef NOTALLATOMSACTION_HPP_
#define NOTALLATOMSACTION_HPP_

#include "Actions/Action.hpp"

void SelectionNotAllAtoms();

class SelectionNotAllAtomsAction : public Action {
  friend void SelectionNotAllAtoms();

public:
  SelectionNotAllAtomsAction();
  virtual ~SelectionNotAllAtomsAction();

  bool canUndo();
  bool shouldUndo();

  virtual const std::string getName();
protected:
  virtual Dialog * fillDialog(Dialog *dialog);
private:
  virtual Action::state_ptr performCall();
  virtual Action::state_ptr performUndo(Action::state_ptr);
  virtual Action::state_ptr performRedo(Action::state_ptr);

  static const char NAME[];
};

#endif /* NOTALLATOMSACTION_HPP_ */
