/*
 * NotAtomByIdAction.hpp
 *
 *  Created on: May 12, 2010
 *      Author: heber
 */

#ifndef NOTATOMBYIDACTION_HPP_
#define NOTATOMBYIDACTION_HPP_

#include "Actions/Action.hpp"

class atom;

void SelectionNotAtomById(atom *_atom);

class SelectionNotAtomByIdAction : public Action {
  friend void SelectionNotAtomById(atom *_atom);

public:
  SelectionNotAtomByIdAction();
  virtual ~SelectionNotAtomByIdAction();

  bool canUndo();
  bool shouldUndo();

  virtual const std::string getName();
protected:
  virtual Dialog * fillDialog(Dialog *dialog);
private:
  virtual Action::state_ptr performCall();
  virtual Action::state_ptr performUndo(Action::state_ptr);
  virtual Action::state_ptr performRedo(Action::state_ptr);

  static const char NAME[];
};

#endif /* NOTATOMBYIDACTION_HPP_ */
