/*
 * PrincipalAxisSystemAction.hpp
 *
 *  Created on: May 12, 2010
 *      Author: heber
 */

#ifndef PRINCIPALAXISSYSTEMACTION_HPP_
#define PRINCIPALAXISSYSTEMACTION_HPP_

#include "Actions/Action.hpp"

void AnalysisPrincipalAxisSystem();

class AnalysisPrincipalAxisSystemAction : public Action {
  friend void AnalysisPrincipalAxisSystem();

public:
  AnalysisPrincipalAxisSystemAction();
  virtual ~AnalysisPrincipalAxisSystemAction();

  bool canUndo();
  bool shouldUndo();

  virtual const std::string getName();
protected:
  virtual Dialog * fillDialog(Dialog *);
private:
  virtual Action::state_ptr performCall();
  virtual Action::state_ptr performUndo(Action::state_ptr);
  virtual Action::state_ptr performRedo(Action::state_ptr);

  static const char NAME[];
};

#endif /* PRINCIPALAXISSYSTEMACTION_HPP_ */
