/*
 * SaveAdjacencyAction.hpp
 *
 *  Created on: May 10, 2010
 *      Author: heber
 */

#ifndef SAVEADJACENCYACTION_HPP
#define SAVEADJACENCYACTION_HPP

#include "Actions/Action.hpp"


class MoleculeListClass;

void MoleculeSaveAdjacency(std::string &adjacencyfile);

class MoleculeSaveAdjacencyAction : public Action {
  friend void MoleculeSaveAdjacency(std::string &adjacencyfile);

public:
  MoleculeSaveAdjacencyAction();
  virtual ~MoleculeSaveAdjacencyAction();

  bool canUndo();
  bool shouldUndo();

  virtual const std::string getName();
protected:
  virtual Dialog * fillDialog(Dialog *dialog);
private:
  virtual Action::state_ptr performCall();
  virtual Action::state_ptr performUndo(Action::state_ptr);
  virtual Action::state_ptr performRedo(Action::state_ptr);

  static const char NAME[];
};


#endif // SAVEADJACENCYACTION_HPP
