/*
 * AllMoleculesAction.hpp
 *
 *  Created on: May 12, 2010
 *      Author: heber
 */

#ifndef ALLMOLECULESSACTION_HPP_
#define ALLMOLECULESSACTION_HPP_

#include "Actions/Action.hpp"

void SelectionAllMolecules();

class SelectionAllMoleculesAction : public Action {
  friend void SelectionAllMolecules();

public:
  SelectionAllMoleculesAction();
  virtual ~SelectionAllMoleculesAction();

  bool canUndo();
  bool shouldUndo();

  virtual const std::string getName();
protected:
  virtual Dialog * fillDialog(Dialog *dialog);
private:
  virtual Action::state_ptr performCall();
  virtual Action::state_ptr performUndo(Action::state_ptr);
  virtual Action::state_ptr performRedo(Action::state_ptr);

  static const char NAME[];
};

#endif /* ALLMOLECULESSACTION_HPP_ */
