/*
 * MoleculeOfAtomAction.hpp
 *
 *  Created on: May 12, 2010
 *      Author: heber
 */

#ifndef MOLECULEOFATOMSACTION_HPP_
#define MOLECULEOFATOMSACTION_HPP_

#include "Actions/Action.hpp"

void SelectionMoleculeOfAtom();

class SelectionMoleculeOfAtomAction : public Action {
  friend void SelectionMoleculeOfAtom();

public:
  SelectionMoleculeOfAtomAction();
  virtual ~SelectionMoleculeOfAtomAction();

  bool canUndo();
  bool shouldUndo();

  virtual const std::string getName();
protected:
  virtual Dialog * fillDialog(Dialog *dialog);
private:
  virtual Action::state_ptr performCall();
  virtual Action::state_ptr performUndo(Action::state_ptr);
  virtual Action::state_ptr performRedo(Action::state_ptr);

  static const char NAME[];
};

#endif /* MOLECULEOFATOMSACTION_HPP_ */
