/*
 * NotAllMoleculesAction.hpp
 *
 *  Created on: May 12, 2010
 *      Author: heber
 */

#ifndef NOTALLMOLECULESSACTION_HPP_
#define NOTALLMOLECULESSACTION_HPP_

#include "Actions/Action.hpp"

void SelectionNotAllMolecules();

class SelectionNotAllMoleculesAction : public Action {
  friend void SelectionNotAllMolecules();

public:
  SelectionNotAllMoleculesAction();
  virtual ~SelectionNotAllMoleculesAction();

  bool canUndo();
  bool shouldUndo();

  virtual const std::string getName();
protected:
  virtual Dialog * fillDialog(Dialog *dialog);
private:
  virtual Action::state_ptr performCall();
  virtual Action::state_ptr performUndo(Action::state_ptr);
  virtual Action::state_ptr performRedo(Action::state_ptr);

  static const char NAME[];
};

#endif /* NOTALLMOLECULESSACTION_HPP_ */
