/*
 * BoundaryPointSet.hpp
 *
 *  Created on: Jul 29, 2010
 *      Author: heber
 */

#ifndef BOUNDARYPOINTSET_HPP_
#define BOUNDARYPOINTSET_HPP_

#include "BoundaryMaps.hpp"

#include <iostream>
#include <map>

class BoundaryLineSet;
class TesselPoint;

class BoundaryPointSet {
  public:
    BoundaryPointSet();
    BoundaryPointSet(TesselPoint * const Walker);
    ~BoundaryPointSet();

    void AddLine(BoundaryLineSet * const line);

    LineMap lines;
    int LinesCount;
    TesselPoint *node;
    double value;
    int Nr;
};

std::ostream & operator << (std::ostream &ost, const BoundaryPointSet &a);

#endif /* BOUNDARYPOINTSET_HPP_ */
