/*
 * NotInvertibleException.cpp
 *
 *  Created on: Jun 25, 2010
 *      Author: crueger
 */

// include config.h
#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include "Helpers/MemDebug.hpp"

#include "NotInvertibleException.hpp"

using namespace std;

NotInvertibleException::NotInvertibleException(string _file, int _line) :
  MathException(_file,_line)
{}

NotInvertibleException::~NotInvertibleException() throw ()
{}

const char* NotInvertibleException::what() const throw(){
  return "Given Matrix is not invertible";
}
