/*
 * atom_particleinfo.hpp
 *
 *  Created on: Oct 19, 2009
 *      Author: heber
 */

#ifndef ATOM_PARTICLEINFO_HPP_
#define ATOM_PARTICLEINFO_HPP_

using namespace std;

/*********************************************** includes ***********************************/

// include config.h
#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <iosfwd>
#include <string>

/****************************************** forward declarations *****************************/


/********************************************** declarations *******************************/

class ParticleInfo {
public:
  int nr;       // index to easierly identify

  ParticleInfo();
  ParticleInfo(ParticleInfo*);
  virtual ~ParticleInfo();

  const std::string& getName() const;
  void setName(const std::string&);

  ostream & operator << (ostream &ost) const;

private:
  std::string name;   // some name to reference to on output
};

ostream & operator << (ostream &ost, const ParticleInfo &a);

#endif /* ATOM_PARTICLEINFO_HPP_ */
